Bug 1728300 - Review Request: sympa - Powerful multilingual List Manager
Summary: Review Request: sympa - Powerful multilingual List Manager
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-09 15:07 UTC by Xavier Bachelot
Modified: 2019-09-03 01:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-03 01:16:46 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Xavier Bachelot 2019-07-09 15:07:58 UTC
Spec URL: https://www.bachelot.org/fedora/SPECS/sympa.spec
SRPM URL: https://www.bachelot.org/fedora/SRPMS/sympa-6.2.44-1.fc31.src.rpm

Description:
Sympa is scalable and highly customizable mailing list manager. It
can cope with big lists (200,000 subscribers) and comes with a
complete (user and admin) Web interface. It is internationalized,
and supports the us, fr, de, es, it, fi, and chinese locales. A
scripting language allows you to extend the behavior of commands.
Sympa can be linked to an LDAP directory or an RDBMS to create
dynamic mailing lists. Sympa provides S/MIME-based authentication
and encryption.

Fedora Account System Username: xavierb

COPR: https://copr.fedorainfracloud.org/coprs/xavierb/sympa/

Comment 1 Robert-André Mauchin 2019-07-13 14:55:56 UTC
 - Make a separate subpackage for the doc




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 5314560 bytes in 22 files.
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_documentation


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GPL (v2 or later)", "Expat License",
     "*No copyright* Public domain", "SIL Open Font License (v1.1)", "*No
     copyright* Expat License". 691 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/sympa/review-
     sympa/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
     Note: No (noreplace) in %config(noreplace,missingok)
     %attr(-,sympa,sympa) /etc/sympa/auth.conf %config(noreplace,missingok)
     %attr(-,sympa,sympa) /etc/sympa/charset.conf
     %config(noreplace,missingok) %attr(-,sympa,sympa)
     /etc/sympa/crawlers_detection.conf %config(noreplace,missingok)
     %attr(-,sympa,sympa) /etc/sympa/create_list.conf
     %config(noreplace,missingok) %attr(-,sympa,sympa)
     /etc/sympa/edit_list.conf %config(noreplace,missingok)
     %attr(-,sympa,sympa) /etc/sympa/nrcpt_by_domain.conf
     %config(noreplace,missingok) %attr(-,sympa,sympa)
     /etc/sympa/topics.conf %config(noreplace,missingok)
     %attr(-,sympa,sympa) /etc/sympa/mime.types
     %config(noreplace,missingok) %attr(-,sympa,sympa)
     /etc/sympa/sympa.wsdl %config(missingok) %attr(-,sympa,sympa)
     /etc/sympa/data_structure.current_version
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in sympa-
     httpd , sympa-lighttpd , sympa-nginx
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[ ]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 19875840 bytes in /usr/share
     sympa-6.2.44-1.fc31.x86_64.rpm:19875840
     See:
     https://fedoraproject.org/wiki/Packaging:ReviewGuidelines#Package_Review_Guidelines
[x]: Spec file according to URL is the same as in SRPM.



Rpmlint
-------
Checking: sympa-6.2.44-1.fc31.x86_64.rpm
          sympa-httpd-6.2.44-1.fc31.x86_64.rpm
          sympa-lighttpd-6.2.44-1.fc31.x86_64.rpm
          sympa-nginx-6.2.44-1.fc31.x86_64.rpm
          sympa-debuginfo-6.2.44-1.fc31.x86_64.rpm
          sympa-debugsource-6.2.44-1.fc31.x86_64.rpm
          sympa-6.2.44-1.fc31.src.rpm
sympa.x86_64: I: enchant-dictionary-not-found fr
sympa.x86_64: I: enchant-dictionary-not-found ja
sympa.x86_64: W: spelling-error %description -l en_US chinese -> Chinese, chines, chines e
sympa.x86_64: W: conffile-without-noreplace-flag /etc/sympa/data_structure.current_version
sympa.x86_64: W: non-standard-uid /etc/sympa sympa
sympa.x86_64: W: non-standard-gid /etc/sympa sympa
sympa.x86_64: E: zero-length /etc/sympa/aliases.sympa.postfix.db
sympa.x86_64: E: zero-length /etc/sympa/aliases.sympa.sendmail.db
sympa.x86_64: W: non-standard-uid /etc/sympa/auth.conf sympa
sympa.x86_64: W: non-standard-gid /etc/sympa/auth.conf sympa
sympa.x86_64: W: non-standard-uid /etc/sympa/charset.conf sympa
sympa.x86_64: W: non-standard-gid /etc/sympa/charset.conf sympa
sympa.x86_64: W: non-standard-uid /etc/sympa/crawlers_detection.conf sympa
sympa.x86_64: W: non-standard-gid /etc/sympa/crawlers_detection.conf sympa
sympa.x86_64: W: non-standard-uid /etc/sympa/create_list.conf sympa
sympa.x86_64: W: non-standard-gid /etc/sympa/create_list.conf sympa
sympa.x86_64: W: non-standard-uid /etc/sympa/create_list_templates sympa
sympa.x86_64: W: non-standard-gid /etc/sympa/create_list_templates sympa
sympa.x86_64: W: non-standard-uid /etc/sympa/custom_actions sympa
sympa.x86_64: W: non-standard-gid /etc/sympa/custom_actions sympa
sympa.x86_64: W: non-standard-uid /etc/sympa/custom_conditions sympa
sympa.x86_64: W: non-standard-gid /etc/sympa/custom_conditions sympa
sympa.x86_64: W: non-standard-uid /etc/sympa/data_sources sympa
sympa.x86_64: W: non-standard-gid /etc/sympa/data_sources sympa
sympa.x86_64: W: non-standard-uid /etc/sympa/data_structure.current_version sympa
sympa.x86_64: W: non-standard-gid /etc/sympa/data_structure.current_version sympa
sympa.x86_64: W: non-standard-uid /etc/sympa/edit_list.conf sympa
sympa.x86_64: W: non-standard-gid /etc/sympa/edit_list.conf sympa
sympa.x86_64: W: non-standard-uid /etc/sympa/families sympa
sympa.x86_64: W: non-standard-gid /etc/sympa/families sympa
sympa.x86_64: W: non-standard-uid /etc/sympa/mail_tt2 sympa
sympa.x86_64: W: non-standard-gid /etc/sympa/mail_tt2 sympa
sympa.x86_64: W: non-standard-uid /etc/sympa/mime.types sympa
sympa.x86_64: W: non-standard-gid /etc/sympa/mime.types sympa
sympa.x86_64: W: non-standard-uid /etc/sympa/nrcpt_by_domain.conf sympa
sympa.x86_64: W: non-standard-gid /etc/sympa/nrcpt_by_domain.conf sympa
sympa.x86_64: W: non-standard-uid /etc/sympa/scenari sympa
sympa.x86_64: W: non-standard-gid /etc/sympa/scenari sympa
sympa.x86_64: W: non-standard-uid /etc/sympa/search_filters sympa
sympa.x86_64: W: non-standard-gid /etc/sympa/search_filters sympa
sympa.x86_64: W: non-standard-uid /etc/sympa/sympa.conf sympa
sympa.x86_64: W: non-standard-gid /etc/sympa/sympa.conf sympa
sympa.x86_64: E: non-readable /etc/sympa/sympa.conf 640
sympa.x86_64: W: non-standard-uid /etc/sympa/sympa.wsdl sympa
sympa.x86_64: W: non-standard-gid /etc/sympa/sympa.wsdl sympa
sympa.x86_64: W: non-standard-uid /etc/sympa/tasks sympa
sympa.x86_64: W: non-standard-gid /etc/sympa/tasks sympa
sympa.x86_64: W: non-standard-uid /etc/sympa/topics.conf sympa
sympa.x86_64: W: non-standard-gid /etc/sympa/topics.conf sympa
sympa.x86_64: W: non-standard-uid /etc/sympa/web_tt2 sympa
sympa.x86_64: W: non-standard-gid /etc/sympa/web_tt2 sympa
sympa.x86_64: W: systemd-unit-in-etc /etc/systemd/system/sympa.service.d
sympa.x86_64: W: systemd-unit-in-etc /etc/systemd/system/sympa.service.d/dependencies.conf
sympa.x86_64: W: non-standard-uid /run/sympa sympa
sympa.x86_64: W: non-standard-gid /run/sympa sympa
sympa.x86_64: W: non-standard-uid /usr/libexec/sympa/bouncequeue sympa
sympa.x86_64: W: non-standard-gid /usr/libexec/sympa/bouncequeue sympa
sympa.x86_64: E: setuid-binary /usr/libexec/sympa/bouncequeue sympa 4755
sympa.x86_64: E: non-standard-executable-perm /usr/libexec/sympa/bouncequeue 4755
sympa.x86_64: W: non-standard-uid /usr/libexec/sympa/familyqueue sympa
sympa.x86_64: W: non-standard-gid /usr/libexec/sympa/familyqueue sympa
sympa.x86_64: E: setuid-binary /usr/libexec/sympa/familyqueue sympa 4755
sympa.x86_64: E: non-standard-executable-perm /usr/libexec/sympa/familyqueue 4755
sympa.x86_64: W: non-standard-uid /usr/libexec/sympa/queue sympa
sympa.x86_64: W: non-standard-gid /usr/libexec/sympa/queue sympa
sympa.x86_64: E: setuid-binary /usr/libexec/sympa/queue sympa 4755
sympa.x86_64: E: non-standard-executable-perm /usr/libexec/sympa/queue 4755
sympa.x86_64: W: non-standard-gid /usr/libexec/sympa/sympa_newaliases-wrapper sympa
sympa.x86_64: E: setuid-binary /usr/libexec/sympa/sympa_newaliases-wrapper root 4750
sympa.x86_64: E: non-standard-executable-perm /usr/libexec/sympa/sympa_newaliases-wrapper 4750
sympa.x86_64: E: non-standard-executable-perm /usr/libexec/sympa/sympa_newaliases-wrapper 4750
sympa.x86_64: W: non-standard-uid /usr/libexec/sympa/sympa_soap_server-wrapper.fcgi sympa
sympa.x86_64: W: non-standard-gid /usr/libexec/sympa/sympa_soap_server-wrapper.fcgi sympa
sympa.x86_64: E: setuid-binary /usr/libexec/sympa/sympa_soap_server-wrapper.fcgi sympa 6755
sympa.x86_64: E: setgid-binary /usr/libexec/sympa/sympa_soap_server-wrapper.fcgi sympa 6755
sympa.x86_64: E: non-standard-executable-perm /usr/libexec/sympa/sympa_soap_server-wrapper.fcgi 6755
sympa.x86_64: W: non-standard-uid /usr/libexec/sympa/wwsympa-wrapper.fcgi sympa
sympa.x86_64: W: non-standard-gid /usr/libexec/sympa/wwsympa-wrapper.fcgi sympa
sympa.x86_64: E: setuid-binary /usr/libexec/sympa/wwsympa-wrapper.fcgi sympa 6755
sympa.x86_64: E: setgid-binary /usr/libexec/sympa/wwsympa-wrapper.fcgi sympa 6755
sympa.x86_64: E: non-standard-executable-perm /usr/libexec/sympa/wwsympa-wrapper.fcgi 6755
sympa.x86_64: W: dangling-symlink /usr/share/sympa/static_content/fonts/Raleway/Raleway-Regular.otf /usr/share/fonts/impallari-raleway/Raleway-Regular.otf
sympa.x86_64: W: dangling-symlink /usr/share/sympa/static_content/fonts/font-awesome/css/font-awesome.css /usr/share/font-awesome-web/css/font-awesome.css
sympa.x86_64: W: dangling-symlink /usr/share/sympa/static_content/fonts/font-awesome/css/font-awesome.min.css /usr/share/font-awesome-web/css/font-awesome.min.css
sympa.x86_64: W: dangling-symlink /usr/share/sympa/static_content/fonts/font-awesome/fonts/FontAwesome.otf /usr/share/fonts/fontawesome/FontAwesome.otf
sympa.x86_64: W: dangling-symlink /usr/share/sympa/static_content/fonts/font-awesome/fonts/fontawesome-webfont.eot /usr/share/fonts/fontawesome/fontawesome-webfont.eot
sympa.x86_64: W: dangling-symlink /usr/share/sympa/static_content/fonts/font-awesome/fonts/fontawesome-webfont.svg /usr/share/fonts/fontawesome/fontawesome-webfont.svg
sympa.x86_64: W: dangling-symlink /usr/share/sympa/static_content/fonts/font-awesome/fonts/fontawesome-webfont.ttf /usr/share/fonts/fontawesome/fontawesome-webfont.ttf
sympa.x86_64: W: dangling-symlink /usr/share/sympa/static_content/fonts/font-awesome/fonts/fontawesome-webfont.woff /usr/share/fonts/fontawesome/fontawesome-webfont.woff
sympa.x86_64: W: dangling-symlink /usr/share/sympa/static_content/fonts/font-awesome/fonts/fontawesome-webfont.woff2 /usr/share/fonts/fontawesome/fontawesome-webfont.woff2
sympa.x86_64: W: dangling-symlink /usr/share/sympa/static_content/js/html5shiv/html5shiv.js /usr/share/javascript/html5shiv.js
sympa.x86_64: W: dangling-symlink /usr/share/sympa/static_content/js/jqplot/jqplot.barRenderer.min.js /usr/share/javascript/jquery-jqplot/jqplot.barRenderer.min.js
sympa.x86_64: W: dangling-symlink /usr/share/sympa/static_content/js/jqplot/jqplot.canvasAxisTickRenderer.min.js /usr/share/javascript/jquery-jqplot/jqplot.canvasAxisTickRenderer.min.js
sympa.x86_64: W: dangling-symlink /usr/share/sympa/static_content/js/jqplot/jqplot.canvasTextRenderer.min.js /usr/share/javascript/jquery-jqplot/jqplot.canvasTextRenderer.min.js
sympa.x86_64: W: dangling-symlink /usr/share/sympa/static_content/js/jqplot/jqplot.categoryAxisRenderer.min.js /usr/share/javascript/jquery-jqplot/jqplot.categoryAxisRenderer.min.js
sympa.x86_64: W: dangling-symlink /usr/share/sympa/static_content/js/jqplot/jquery.jqplot.css /usr/share/javascript/jquery-jqplot/jquery.jqplot.css
sympa.x86_64: W: dangling-symlink /usr/share/sympa/static_content/js/jqplot/jquery.jqplot.min.js /usr/share/javascript/jquery-jqplot/jquery.jqplot.min.js
sympa.x86_64: W: dangling-symlink /usr/share/sympa/static_content/js/jquery-ui/jquery-ui.css /usr/share/javascript/jquery_ui/jquery-ui.css
sympa.x86_64: W: dangling-symlink /usr/share/sympa/static_content/js/jquery-ui/jquery-ui.js /usr/share/javascript/jquery_ui/jquery-ui.js
sympa.x86_64: W: dangling-symlink /usr/share/sympa/static_content/js/jquery.js /usr/share/javascript/jquery/3/jquery.js
sympa.x86_64: W: dangling-symlink /usr/share/sympa/static_content/js/respondjs/respond.min.js /usr/share/javascript/respond.min.js
sympa.x86_64: W: non-standard-uid /var/lib/sympa/X509-user-certs sympa
sympa.x86_64: W: non-standard-gid /var/lib/sympa/X509-user-certs sympa
sympa.x86_64: W: non-standard-uid /var/lib/sympa/arc sympa
sympa.x86_64: W: non-standard-gid /var/lib/sympa/arc sympa
sympa.x86_64: W: non-standard-uid /var/lib/sympa/bounce sympa
sympa.x86_64: W: non-standard-gid /var/lib/sympa/bounce sympa
sympa.x86_64: W: non-standard-uid /var/lib/sympa/css sympa
sympa.x86_64: W: non-standard-gid /var/lib/sympa/css sympa
sympa.x86_64: W: non-standard-uid /var/lib/sympa/list_data sympa
sympa.x86_64: W: non-standard-gid /var/lib/sympa/list_data sympa
sympa.x86_64: W: non-standard-uid /var/lib/sympa/pictures sympa
sympa.x86_64: W: non-standard-gid /var/lib/sympa/pictures sympa
sympa.x86_64: W: non-standard-uid /var/spool/sympa sympa
sympa.x86_64: W: non-standard-gid /var/spool/sympa sympa
sympa.x86_64: W: non-standard-uid /var/spool/sympa/automatic sympa
sympa.x86_64: W: non-standard-gid /var/spool/sympa/automatic sympa
sympa.x86_64: E: non-standard-dir-perm /var/spool/sympa/automatic 750
sympa.x86_64: W: non-standard-uid /var/spool/sympa/bounce sympa
sympa.x86_64: W: non-standard-gid /var/spool/sympa/bounce sympa
sympa.x86_64: E: non-standard-dir-perm /var/spool/sympa/bounce 750
sympa.x86_64: W: non-standard-uid /var/spool/sympa/msg sympa
sympa.x86_64: W: non-standard-gid /var/spool/sympa/msg sympa
sympa.x86_64: E: non-standard-dir-perm /var/spool/sympa/msg 750
sympa.x86_64: W: non-standard-uid /var/spool/sympa/task sympa
sympa.x86_64: W: non-standard-gid /var/spool/sympa/task sympa
sympa.x86_64: E: non-standard-dir-perm /var/spool/sympa/task 750
sympa.x86_64: W: non-standard-uid /var/spool/sympa/tmp sympa
sympa.x86_64: W: non-standard-gid /var/spool/sympa/tmp sympa
sympa.x86_64: E: non-standard-dir-perm /var/spool/sympa/tmp 750
sympa.x86_64: W: no-manual-page-for-binary alias_manager.pl
sympa.x86_64: W: no-manual-page-for-binary archived.pl
sympa.x86_64: W: no-manual-page-for-binary bounced.pl
sympa.x86_64: W: no-manual-page-for-binary bulk.pl
sympa.x86_64: W: no-manual-page-for-binary sympa.pl
sympa.x86_64: W: no-manual-page-for-binary sympa_automatic.pl
sympa.x86_64: W: no-manual-page-for-binary sympa_msg.pl
sympa.x86_64: W: no-manual-page-for-binary sympa_newaliases.pl
sympa.x86_64: W: no-manual-page-for-binary sympa_wizard.pl
sympa.x86_64: W: no-manual-page-for-binary task_manager.pl
sympa.x86_64: W: dangerous-command-in-%pre mv
sympa.x86_64: W: dangerous-command-in-%post perl
sympa-httpd.x86_64: W: no-documentation
sympa-lighttpd.x86_64: W: no-documentation
sympa-nginx.x86_64: W: no-documentation
sympa.src: W: spelling-error %description -l en_US de -> DE, ed, d
sympa.src: W: spelling-error %description -l en_US fi -> phi, fee, if
sympa.src: W: spelling-error %description -l en_US chinese -> Chinese, chines, chines e
sympa.src:523: W: macro-in-comment %{static_content}
sympa.src:523: W: macro-in-comment %{_datadir}
7 packages and 0 specfiles checked; 23 errors, 125 warnings.

Comment 2 Xavier Bachelot 2019-07-15 17:31:33 UTC
Thanks for the review.

(In reply to Robert-André Mauchin from comment #1)
>  - Make a separate subpackage for the doc
> 
I've removed 2 big files which are not really relevant. This saves 5 MB.
Also, I've created a devel-doc sub-package holding the internal perl modules documentation (all man3 files). This saves 624 KB.
Does one still need the -doc then ?


> [!]: If the package is under multiple licenses, the licensing breakdown
>      must be documented in the spec.

Actually, the License: tag is wrong due to the many bundled fonts and javascripts.
And as what is unbundled depends on the distro/release, it is not that easy to advertise the correct one.
I've started to look at making this better, but it still needs work, so not fixed yet.
While reviewing the licences, I also found out the package providing jquery-ui has an incorrect license tag:
https://bugzilla.redhat.com/show_bug.cgi?id=1729965


> [x]: %config files are marked noreplace or the reason is justified.
>      Note: No (noreplace) in %config(noreplace,missingok)
>      %attr(-,sympa,sympa) /etc/sympa/auth.conf %config(noreplace,missingok)
>      %attr(-,sympa,sympa) /etc/sympa/charset.conf
>      %config(noreplace,missingok) %attr(-,sympa,sympa)
>      /etc/sympa/crawlers_detection.conf %config(noreplace,missingok)
>      %attr(-,sympa,sympa) /etc/sympa/create_list.conf
>      %config(noreplace,missingok) %attr(-,sympa,sympa)
>      /etc/sympa/edit_list.conf %config(noreplace,missingok)
>      %attr(-,sympa,sympa) /etc/sympa/nrcpt_by_domain.conf
>      %config(noreplace,missingok) %attr(-,sympa,sympa)
>      /etc/sympa/topics.conf %config(noreplace,missingok)
>      %attr(-,sympa,sympa) /etc/sympa/mime.types
>      %config(noreplace,missingok) %attr(-,sympa,sympa)
>      /etc/sympa/sympa.wsdl %config(missingok) %attr(-,sympa,sympa)
>      /etc/sympa/data_structure.current_version

The files marked as %config(noreplace,missingok) are optional. An admin may want to remove them if he uses them un-modified from the defaults that live in 
/usr/share/sympa/default.
I'm confused with the 'No (noreplace) in %config(noreplace,missingok)' comment. Can you explain ? Or is that just rpmlint/fedora-review being picky ?
If one or the other needs to be removed, I'd remove ignoremissing rather than noreplace.

> [!]: Large data in /usr/share should live in a noarch subpackage if package
>      is arched.
>      Note: Arch-ed rpms have a total of 19875840 bytes in /usr/share
>      sympa-6.2.44-1.fc31.x86_64.rpm:19875840
> 
Not fixed yet.

I'll provide updated spec and SRPM when I've adressed all of your remarks.

Thanks again.

Comment 3 Robert-André Mauchin 2019-07-15 18:37:02 UTC
(In reply to Xavier Bachelot from comment #2)
> Thanks for the review.
> 
> (In reply to Robert-André Mauchin from comment #1)
> >  - Make a separate subpackage for the doc
> > 
> I've removed 2 big files which are not really relevant. This saves 5 MB.
> Also, I've created a devel-doc sub-package holding the internal perl modules
> documentation (all man3 files). This saves 624 KB.
> Does one still need the -doc then ?
> 
> 
It should be ok


> 
> > [x]: %config files are marked noreplace or the reason is justified.
> >      Note: No (noreplace) in %config(noreplace,missingok)
> >      %attr(-,sympa,sympa) /etc/sympa/auth.conf %config(noreplace,missingok)
> >      %attr(-,sympa,sympa) /etc/sympa/charset.conf
> >      %config(noreplace,missingok) %attr(-,sympa,sympa)
> >      /etc/sympa/crawlers_detection.conf %config(noreplace,missingok)
> >      %attr(-,sympa,sympa) /etc/sympa/create_list.conf
> >      %config(noreplace,missingok) %attr(-,sympa,sympa)
> >      /etc/sympa/edit_list.conf %config(noreplace,missingok)
> >      %attr(-,sympa,sympa) /etc/sympa/nrcpt_by_domain.conf
> >      %config(noreplace,missingok) %attr(-,sympa,sympa)
> >      /etc/sympa/topics.conf %config(noreplace,missingok)
> >      %attr(-,sympa,sympa) /etc/sympa/mime.types
> >      %config(noreplace,missingok) %attr(-,sympa,sympa)
> >      /etc/sympa/sympa.wsdl %config(missingok) %attr(-,sympa,sympa)
> >      /etc/sympa/data_structure.current_version
> 
> The files marked as %config(noreplace,missingok) are optional. An admin may
> want to remove them if he uses them un-modified from the defaults that live
> in 
> /usr/share/sympa/default.
> I'm confused with the 'No (noreplace) in %config(noreplace,missingok)'
> comment. Can you explain ? Or is that just rpmlint/fedora-review being picky
> ?
> If one or the other needs to be removed, I'd remove ignoremissing rather
> than noreplace.
> 

I think it's fedora-review messing up the detection of no replace. Safe to ignore.

Comment 4 Xavier Bachelot 2019-07-16 09:19:04 UTC
(In reply to Robert-André Mauchin from comment #1)

> [!]: Large data in /usr/share should live in a noarch subpackage if package
>      is arched.
>      Note: Arch-ed rpms have a total of 19875840 bytes in /usr/share
>      sympa-6.2.44-1.fc31.x86_64.rpm:19875840

19 MB is the unpacked size. The binary rpm itself is only 3.5 MB.
This guideline is intended to save disk space on mirrors, so is that really worth the trouble ?

Comment 5 Xavier Bachelot 2019-07-16 11:53:16 UTC
Spec URL: https://www.bachelot.org/fedora/SPECS/sympa.spec
SRPM URL: https://www.bachelot.org/fedora/SRPMS/sympa-6.2.44-2.fc31.src.rpm

Changelog:
* Mon Jul 15 2019 Xavier Bachelot <xavier@bachelot.org> 6.2.44-2
- Don't package OChangeLog and ONEWS. Saves 5MB.
- Move developers documentation to devel-doc sub-package.
- Compute an accurate License: tag.

Commits:
https://github.com/xavierba/sympa-rpm/commits/fedora_review

Comment 6 Robert-André Mauchin 2019-07-16 17:07:55 UTC
Package approved.

Comment 7 Gwyn Ciesla 2019-07-17 15:16:25 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/sympa

Comment 8 Fedora Update System 2019-07-19 10:11:22 UTC
FEDORA-EPEL-2019-9f716fd191 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9f716fd191

Comment 9 Fedora Update System 2019-07-19 10:11:26 UTC
FEDORA-EPEL-2019-8ddea6fbd0 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-8ddea6fbd0

Comment 10 Fedora Update System 2019-07-19 10:11:26 UTC
FEDORA-2019-e8a365b59f has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e8a365b59f

Comment 11 Fedora Update System 2019-07-20 01:00:01 UTC
sympa-6.2.44-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e70ba21676

Comment 12 Fedora Update System 2019-07-20 03:41:56 UTC
sympa-6.2.44-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e8a365b59f

Comment 13 Fedora Update System 2019-07-20 03:48:07 UTC
sympa-6.2.44-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9f716fd191

Comment 14 Fedora Update System 2019-07-20 19:33:07 UTC
sympa-6.2.44-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-8ddea6fbd0

Comment 15 Fedora Update System 2019-08-03 01:16:46 UTC
sympa-6.2.44-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-08-03 04:06:06 UTC
sympa-6.2.44-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-09-03 00:53:52 UTC
sympa-6.2.44-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-09-03 01:13:57 UTC
sympa-6.2.44-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.